Bug 188853 - change-request, maintainer-update for the soon to be removed net/spread
Summary: change-request, maintainer-update for the soon to be removed net/spread
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 16:20 UTC by Chris Hutchinson
Modified: 2014-05-20 15:10 UTC (History)
0 users

See Also:


Attachments
PR_188853.diff.shar (3.14 KB, application/octet-stream)
2014-05-05 19:57 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-04-21 16:20:00 UTC
This is an attempt to salvage the soon to be removed;
net/spread. The original MASTER_SITES listings
(http://www.edu-linux.org/down/) are no longer
available. I would be willing to maintain this port,
and provide a reliable location for it's source
(spread-src-3.17.4.tar.gz). I have the original
source from it's original location (www.spread.org).

Fix: 

Allow me to maintain this port, and provide for the source location.

requisite patch(1)es to follow...
How-To-Repeat: Attempt to build this port.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2014-04-21 16:24:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 Chris Hutchinson 2014-04-21 17:09:23 UTC
> Thank you very much for your problem report.
> It has the internal identification `ports/188853'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=188853
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       change-request, maintainer-update for the soon to be removed net/spread
>>Arrival-Date:   Mon Apr 21 15:20:00 UTC 2014
>

Here's the pacth, as promised

Index: spread/Makefile
===================================================================
--- spread/Makefile	(revision 351688)
+++ spread/Makefile	(working copy)
@@ -5,19 +5,14 @@
 PORTVERSION=	3.17.4
 PORTREVISION=	2
 CATEGORIES=	net perl5
-MASTER_SITES=	http://www.edu-linux.org/down/
+MASTER_SITES=	http://bsdforge.com/projects/source/apache2/
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}

 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	The Spread Group Communication System, a network toolkit

-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
-
 MAKE_JOBS_UNSAFE=	yes

-PORTSCOUT=	limit:^3
-
 GNU_CONFIGURE=	yes
 USES=		perl5
 USE_RC_SUBR=	spread
Comment 3 Chris Hutchinson 2014-04-21 18:45:09 UTC
>> Thank you very much for your problem report.
>> It has the internal identification `ports/188853'.
>> The individual assigned to look at your
>> report is: freebsd-ports-bugs.
>>
>> You can access the state of your problem report at any time
>> via this link:
>>
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=188853
>>
>>>Category:       ports
>>>Responsible:    freebsd-ports-bugs
>>>Synopsis:       change-request, maintainer-update for the soon to be removed net/spread
>>>Arrival-Date:   Mon Apr 21 15:20:00 UTC 2014
>>
>
> Here's the pacth, as promised
>
> Index: spread/Makefile
> ===================================================================
> --- spread/Makefile	(revision 351688)
> +++ spread/Makefile	(working copy)
> @@ -5,19 +5,14 @@
>  PORTVERSION=	3.17.4
>  PORTREVISION=	2
>  CATEGORIES=	net perl5
> -MASTER_SITES=	http://www.edu-linux.org/down/
> +MASTER_SITES=	http://bsdforge.com/projects/source/apache2/
>  DISTNAME=	${PORTNAME}-src-${PORTVERSION}
>
>  MAINTAINER=	ports@FreeBSD.org
>  COMMENT=	The Spread Group Communication System, a network toolkit
>
> -DEPRECATED=	No more public distfiles
> -EXPIRATION_DATE=	2014-03-10
> -
>  MAKE_JOBS_UNSAFE=	yes
>
> -PORTSCOUT=	limit:^3
> -
>  GNU_CONFIGURE=	yes
>  USES=		perl5
>  USE_RC_SUBR=	spread
>
>
Please disregard the previous patch.
Following is a revised version, which provides for STAGING, as well
as for maintainer-request, and a new location for source.
Please note; I did not bump $PORTREVISION

Files affected: (1)
Makefile


Index: spread/Makefile
===================================================================
--- spread/Makefile	(revision 351696)
+++ spread/Makefile	(working copy)
@@ -5,19 +5,14 @@
 PORTVERSION=	3.17.4
 PORTREVISION=	2
 CATEGORIES=	net perl5
-MASTER_SITES=	http://www.edu-linux.org/down/
+MASTER_SITES=	http://bsdforge.com/projects/source/apache2/
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}

-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	portmaster@bsdforge.com
 COMMENT=	The Spread Group Communication System, a network toolkit

-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
-
 MAKE_JOBS_UNSAFE=	yes

-PORTSCOUT=	limit:^3
-
 GNU_CONFIGURE=	yes
 USES=		perl5
 USE_RC_SUBR=	spread
@@ -42,7 +37,6 @@
 		SP_multigroup_scat_multicast.3 SP_poll.3 SP_receive.3 \
 		SP_scat_multicast.3 SP_scat_receive.3

-NO_STAGE=	yes
 .include <bsd.port.pre.mk>

 # bsd.port.mk doesn't allow us to use GNU_CONFIGURE and PERL_CONFIGURE together.
@@ -64,27 +58,27 @@

 post-install:
 .for f in ${HEADERFILES}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${PREFIX}/include
+	${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${PREFIX}/include
 .endfor
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.conf \
-		${PREFIX}/etc/spread.conf.sample
+		${STAGEDIR}${PREFIX}/etc/spread.conf.sample
 .if !exists(${PREFIX}/etc/${PORTNAME}.conf)
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.conf \
-		${PREFIX}/etc/${PORTNAME}.conf
+		${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf
 .endif
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.access_ip \
-		${PREFIX}/etc/spread.access_ip.sample
+		${STAGEDIR}${PREFIX}/etc/spread.access_ip.sample
 .if !exists(${PREFIX}/etc/spread.access_ip)
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.access_ip \
-		${PREFIX}/etc/spread.access_ip
+		${STAGEDIR}${PREFIX}/etc/spread.access_ip
 .endif
 	(cd ${WRKSRC}/perl/Spread && ${MAKE} install)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/perl/Spread/test.pl ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/perl/Spread/test.pl ${STAGEDIR}${EXAMPLESDIR}
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/Readme.txt ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/license.txt ${DOCSDIR}/LICENSE
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/Readme.txt ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/license.txt ${STAGEDIR}${DOCSDIR}/LICENSE
 .endif
 	@${INSTALL} -m 750 -o ${USERS} -g ${GROUPS} -d ${RUNDIR}
 	@${CAT} ${PKGMESSAGE}


--chris
Comment 4 Chris Hutchinson 2014-05-05 03:44:57 UTC
Why hasn't this been committed yet?
Other ports that depend upon this, are being _needlessly_ removed
(ports/188127 net/wackamole) for example. What [else] must be done
to get time sensitive pr's prioritized [more] effectively?

Thank you for all your time, and consideration.

--Chris
Comment 5 Chris Hutchinson 2014-05-05 19:57:15 UTC
> Why hasn't this been committed yet?
> Other ports that depend upon this, are being _needlessly_ removed
> (ports/188127 net/wackamole) for example. What [else] must be done
> to get time sensitive pr's prioritized [more] effectively?
>
> Thank you for all your time, and consideration.
>
> --Chris
>
>
I'm not sure why this patch(1) (diff) isn't being committed. But just
in case. Here's a patch in shar(1) format. In case that's the reason.
Am I missing anything else? I've provided a fetchable  / reliable file
(MASTER_SITES), and I've provided for STAGEing. Please respond.

--Chris
Comment 6 dfilter service freebsd_committer 2014-05-20 07:03:08 UTC
Author: rm
Date: Tue May 20 06:03:04 2014
New Revision: 354596
URL: http://svnweb.freebsd.org/changeset/ports/354596
QAT: https://qat.redports.org/buildarchive/r354596/

Log:
  net/spread: unbreak, support staging
  
  - update master sites (maintained by submitter)
  - remove broken and deprecated
  - pass maintainership to submitter
  - support staging
  
  PR:		188853
  Submitted by:	C Hutchinson <portmaster@bsdforge.com>

Modified:
  head/net/spread/Makefile
  head/net/spread/pkg-descr
  head/net/spread/pkg-plist

Modified: head/net/spread/Makefile
==============================================================================
--- head/net/spread/Makefile	Tue May 20 05:30:07 2014	(r354595)
+++ head/net/spread/Makefile	Tue May 20 06:03:04 2014	(r354596)
@@ -5,19 +5,14 @@ PORTNAME=	spread
 PORTVERSION=	3.17.4
 PORTREVISION=	2
 CATEGORIES=	net perl5
-MASTER_SITES=	http://www.edu-linux.org/down/
+MASTER_SITES=	http://bsdforge.com/projects/source/apache2/
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	portmaster@bsdforge.com
 COMMENT=	The Spread Group Communication System, a network toolkit
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
-
 MAKE_JOBS_UNSAFE=	yes
 
-PORTSCOUT=	limit:^3
-
 GNU_CONFIGURE=	yes
 USES=		perl5
 USE_RC_SUBR=	spread
@@ -35,14 +30,7 @@ WRKSRC=		${WRKDIR}/${PORTNAME}-src-${POR
 PKGMESSAGE=	${WRKSRC}/license.txt
 PORTDOCS=	Readme.txt LICENSE
 HEADERFILES=	sp_func.h sp_func.h sp_events.h
-MAN1=		spflooder.1 spmonitor.1 spread.1 sptuser.1 spuser.1
-MAN3=		libsp.3 SP_connect.3 SP_disconnect.3 SP_equal_group_ids.3 \
-		SP_error.3 SP_join.3 SP_leave.3 \
-		SP_multicast.3 SP_multigroup_multicast.3 \
-		SP_multigroup_scat_multicast.3 SP_poll.3 SP_receive.3 \
-		SP_scat_multicast.3 SP_scat_receive.3
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 # bsd.port.mk doesn't allow us to use GNU_CONFIGURE and PERL_CONFIGURE together.
@@ -64,29 +52,26 @@ post-build:
 
 post-install:
 .for f in ${HEADERFILES}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${PREFIX}/include
+	${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${PREFIX}/include
 .endfor
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.conf \
-		${PREFIX}/etc/spread.conf.sample
-.if !exists(${PREFIX}/etc/${PORTNAME}.conf)
+		${STAGEDIR}${PREFIX}/etc/spread.conf.sample
+.if !exists(${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf)
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.conf \
-		${PREFIX}/etc/${PORTNAME}.conf
+		${STAGEDIR}${PREFIX}/etc/${PORTNAME}.conf
 .endif
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.access_ip \
-		${PREFIX}/etc/spread.access_ip.sample
-.if !exists(${PREFIX}/etc/spread.access_ip)
+		${STAGEDIR}${PREFIX}/etc/spread.access_ip.sample
+.if !exists(${STAGEDIR}${PREFIX}/etc/spread.access_ip)
 	${INSTALL_DATA} ${WRKSRC}/sample.spread.access_ip \
-		${PREFIX}/etc/spread.access_ip
-.endif
-	(cd ${WRKSRC}/perl/Spread && ${MAKE} install)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/perl/Spread/test.pl ${EXAMPLESDIR}
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/Readme.txt ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/license.txt ${DOCSDIR}/LICENSE
+		${STAGEDIR}${PREFIX}/etc/spread.access_ip
 .endif
-	@${INSTALL} -m 750 -o ${USERS} -g ${GROUPS} -d ${RUNDIR}
-	@${CAT} ${PKGMESSAGE}
+	(cd ${WRKSRC}/perl/Spread && ${MAKE} PREFIX=${STAGEDIR}${PREFIX} install)
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/perl/Spread/test.pl ${STAGEDIR}${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/Readme.txt ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/license.txt ${STAGEDIR}${DOCSDIR}/LICENSE
+	${INSTALL} -m 750 -d ${STAGEDIR}${RUNDIR}
 
 .include <bsd.port.post.mk>

Modified: head/net/spread/pkg-descr
==============================================================================
--- head/net/spread/pkg-descr	Tue May 20 05:30:07 2014	(r354595)
+++ head/net/spread/pkg-descr	Tue May 20 06:03:04 2014	(r354596)
@@ -1,7 +1,3 @@
-Copyright (c) 1993-2002 Spread Concepts LLC. All rights reserved.
-This product uses software developed by Spread Concepts LLC for use in the
-Spread toolkit. For more information about Spread see http://www.spread.org/
-
 Spread is a toolkit and daemon that provide multicast and group communications
 support to applications across local and wide area networks. Spread is designed
 to make it easy to write groupware, networked multimedia, reliable server, and

Modified: head/net/spread/pkg-plist
==============================================================================
--- head/net/spread/pkg-plist	Tue May 20 05:30:07 2014	(r354595)
+++ head/net/spread/pkg-plist	Tue May 20 06:03:04 2014	(r354596)
@@ -17,6 +17,25 @@ lib/libspread.so.1
 lib/libtspread.a
 lib/libtspread.so
 lib/libtspread.so.1
+man/man1/spflooder.1.gz
+man/man1/spmonitor.1.gz
+man/man1/spread.1.gz
+man/man1/sptuser.1.gz
+man/man1/spuser.1.gz
+man/man3/libsp.3.gz 
+man/man3/SP_connect.3.gz
+man/man3/SP_disconnect.3.gz
+man/man3/SP_equal_group_ids.3.gz
+man/man3/SP_error.3.gz
+man/man3/SP_join.3.gz
+man/man3/SP_leave.3.gz
+man/man3/SP_multicast.3.gz
+man/man3/SP_multigroup_multicast.3.gz
+man/man3/SP_multigroup_scat_multicast.3.gz
+man/man3/SP_poll.3.gz
+man/man3/SP_receive.3.gz
+man/man3/SP_scat_multicast.3.gz
+man/man3/SP_scat_receive.3.gz
 %%SITE_PERL%%/%%PERL_ARCH%%/Spread.pm
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Spread/.packlist
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Spread/Spread.bs
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2014-05-20 07:16:17 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 8 R.Mahmatkhanov 2014-05-20 07:17:42 UTC
Hello,

C Hutchinson wrote on 05.05.2014 23:00:
>   > Why hasn't this been committed yet?
>   > Other ports that depend upon this, are being _needlessly_ removed
>   > (ports/188127 net/wackamole) for example. What [else] must be done
>   > to get time sensitive pr's prioritized [more] effectively?
>   >
>   > Thank you for all your time, and consideration.
>   >
>   > --Chris

Sorry for delay, had real life issues.
I added couple of fixes to your staging patch:
- set STAGEDIR while installing a perl module
- create and set STAGEDIR for RUNDIR
- remove -o/-g arguments from install command
After that staging/packaging is now works.

Both the ports were fixed and maintainership given to you. Please let me 
know if I need to resurrect any ports that were removed because of my 
disappearance.

PS. Adding bug-followup@ because my email was rejected by your filter:

<portmaster@bsdforge.com>: host mx99.ultimateDNS.NET[209.180.214.225] 
said: 550 5.0.0 SPAM and BULK mail REJECTED (in reply to MAIL FROM command)

-- 
Regards,
Ruslan

T.O.S. Of Reality
Comment 9 Chris Hutchinson 2014-05-20 15:12:04 UTC
> Hello,
>
> C Hutchinson wrote on 05.05.2014 23:00:
>>   > Why hasn't this been committed yet?
>>   > Other ports that depend upon this, are being _needlessly_ removed
>>   > (ports/188127 net/wackamole) for example. What [else] must be done
>>   > to get time sensitive pr's prioritized [more] effectively?
>>   >
>>   > Thank you for all your time, and consideration.
>>   >
>>   > --Chris
>
> Sorry for delay, had real life issues.
No. It's me. I should have known better. I was just [overly] concerned,
when I saw other dependent ports start dropping out of the ports tree.
> I added couple of fixes to your staging patch:
> - set STAGEDIR while installing a perl module
> - create and set STAGEDIR for RUNDIR
> - remove -o/-g arguments from install command
> After that staging/packaging is now works.
Yea, I think I corrected those in the last patch I sent. I should have
noted that I had made additional modifications. Including a more
appropriate location for the source -- again, my bad. :(
>
> Both the ports were fixed and maintainership given to you. Please let me
> know if I need to resurrect any ports that were removed because of my
> disappearance.
Will do. I'll try and dig up the pr(1)'s.
>
> PS. Adding bug-followup@ because my email was rejected by your filter:
>
> <portmaster@bsdforge.com>: host mx99.ultimateDNS.NET[209.180.214.225]
> said: 550 5.0.0 SPAM and BULK mail REJECTED (in reply to MAIL FROM command)
Ug. Sorry. Nothing personal. When I installed this server, I was immediately
flooded with ~800 SPAM's / day. So I'm afraid I got a bit over zealous;
adding blocks with only 2 quads ( nnn.nnn ) to the etc/mail/access file.
I /thought/ I had since removed them all. But apparently I've overlooked
a couple. I pulled your block out -- you're now "white-listed". :)

Thank you for all your attention to this, Ruslan.

--Chris

>
> --
> Regards,
> Ruslan
>
> T.O.S. Of Reality
>